/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sjavatrack.commands;

import sbd.baseCommand;
/**
 *
 * @author luzem
 */
public class login extends baseCommand{

    static final long serialVersionUID = 2L;
    /**
     * indicates if it's logged
     */
    private boolean loged;

     /**
     * Creates a new login command
     */
    public login()
        {
        super();
        help="Login's into the system";
        loged=false;
        }
    
    @Override
    public String  execute()
        {
        String toret=null;
        if (processParameters())
            {
            if (this.isValidUsernamePassword(userName, password))
                {
                 System.out.println("Login check correct");
                 System.out.println("Username:"+this.getUserName());
                 System.out.println("Password"+this.getPassword());
                 toret="Login successful";
                 loged=true;
                }
            else
                {
                toret="ERROR: Incorrect username or password";
                }
            }
        else
            {
            toret="ERROR: procesing parameters";
            }
        return toret;
        }

    @Override
    public boolean verifyLogin()
        {
        System.out.println("VerifyLogin on login class "+loged);
        System.out.println("Username:"+this.userName);
        System.out.println("Pass:"+this.password);
        return loged;
        }

    @Override
    public boolean havePermisionstoExecuteCommand()
        {
        return true;
        }


    @Override
    public String getPassword() {
        return parameterList.elementAt(1);
    }

    @Override
    public String getUserName() {
        return parameterList.elementAt(0);
    }

        /**
     * Validates the parameters
     * @return true if valid parameters
     */
    private boolean processParameters()
        {
        boolean toret=false;
        System.out.println("Number of parameters "+parameterList.size()+"\n");
            if (parameterList.size()==2)
                {
                userName=parameterList.elementAt(0);
                password=parameterList.elementAt(1);
                System.out.println("Moving from parameters to variables");
                System.out.println("Username:"+userName);
                System.out.println("Pass:"+password);
                toret=true;
                }
        return toret;
        }


}
