/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cjavatrack;

import java.net.*;
import java.io.*;
import sjavatrack.CommandOutput;

/**
 *
 * @author luzem
 */
public class clientInterface {

    /**
     *  skClient the socket user for the connections
     */
    Socket skClient = null;

    /**
     * Creates a new client interface
     * @param host host of the Socket server
     * @param port port where the server is listening
     */
    clientInterface(String host, int port) {
        String readData = null;
        CommandOutput co;
        try {
            skClient = new Socket(host, port);
            System.out.println("Socket Created");
            while (!skClient.isClosed()) {
                printPromt();
                readData = readKeyboard();
                if (readData.equals("quit"))
                    {
                    skClient.close();
                    System.exit(0);
                    }
                else
                    {
                    sendData(readData);
                    co=receiveCommandOutput();
                    processCommandOutput(co);
                    }
                //System.out.println("Response="+co.getResponse());
            }
        } catch (java.net.UnknownHostException uhe) {
            System.out.println(uhe.toString());
        } catch (java.io.IOException ioe) {
            System.out.println(ioe.toString());
        }
    }


    /**
     * Read's data from keyboard
     * @return the keyboard data reader
     */
    private String readKeyboard() {
        String toret = null;
        try {
            InputStreamReader reader = new InputStreamReader(System.in);
            BufferedReader in = new BufferedReader(reader);
            toret = in.readLine();
        } catch (java.io.IOException ioe) {
            System.out.println(ioe.toString());
        }

        return toret;
    }

    /**
     * Sends text over the socket
     * @param data the String  for send
     */
    private void sendData(String data) {
        try {
            OutputStream stream = skClient.getOutputStream();
            DataOutputStream flow = new DataOutputStream(stream);
            flow.writeUTF(data);
            //stream.close();
            //flow.close();
        } catch (java.io.IOException ioe) {
            System.out.println(ioe.toString());
        }
    }


    /**
     * Process a CommandOutput
     * @param co command to process
     */
    private void processCommandOutput(CommandOutput co)
        {
        if (co.isToFile())
            {
            try {
                //Save to File
                System.out.println("Writing" + co.getResponse());
                FileOutputStream fos;
                fos = new FileOutputStream(co.getFilename());
                new PrintStream(fos).println(co.getResponse());
                fos.close();
                }
            catch (IOException ex)
                {
                System.out.println("Error writing a file");
                }
            }
        else
            {
            System.out.println(co.getResponse());
            }
        
        }

    /**
     * Receives a CommandOutput from the server
     * @return the CommandOutput received
     */
    private CommandOutput receiveCommandOutput()
        {
        CommandOutput co;
        co =new CommandOutput(false,null,"Error processing CommandOutput");
        try {
            InputStream is = skClient.getInputStream();
            ObjectInputStream ois=new ObjectInputStream(is);
            co=(CommandOutput) ois.readObject();
            //ois.close();
            //is.close();
            //processCommandOutput(co);
            }
        catch (ClassNotFoundException ex)
            {

            }
        catch (IOException ex)
            {
            }
        return co;
        }

    /**
     * Print's console Prompt
     */
    private void printPromt()
        {
        System.out.print(">");
        }

   /* private String receiveData() {
        String toret = null;
        try {
            InputStream aux = skClient.getInputStream();
            DataInputStream flow = new DataInputStream(aux);
            toret = flow.readUTF();
            //System.out.println(toret);
        } catch (java.io.IOException ioe) {
            //Server closes conecction
            System.exit(0);
        }
        return toret;
    }*/
}
