/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sbd;

import java.rmi.Remote;
import java.rmi.RemoteException;


/**
 *
 * @author luzem
 */
public interface Compute extends Remote{

    /**
     * executes a base command
     * @param bc the base command
     * @return the base command execution
     * @throws RemoteException
     */
    public String execute(baseCommand bc) throws RemoteException;
    /**
     * check if the baseCommand has permisions to be executed
     * @param bc the baseCommand
     * @return true if the username has permisions to execute the command
     * @throws RemoteException
     */
    public boolean  hasPermisions(baseCommand bc) throws RemoteException;

    /**
     * Verifies the baseCommand login
     * @param bc the base command
     * @return true if the login has been verified
     * @throws RemoteException
     */
    public boolean  verifyLogin (baseCommand bc) throws RemoteException;
}
