/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sbd;

import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.server.UnicastRemoteObject;



/**
 *
 * @author luzem
 */
public class ComputeEngine extends UnicastRemoteObject implements Compute {

    /**
     * creates a new CompueEngine
     * @throws RemoteException
     */
    public ComputeEngine() throws RemoteException{
        super();
    }

    public boolean verifyLogin(baseCommand bc)
            {
            return bc.verifyLogin();
            }

    public String execute(baseCommand bc) {
        return bc.execute();
    }

    public boolean hasPermisions(baseCommand bc) {
        return bc.havePermisionstoExecuteCommand();
    }

    /**
     * launches a new sBD
     * @param args not used
     */
    public static void main(String[] args) {
        if (System.getSecurityManager() == null)
            {
            System.setSecurityManager(new SecurityManager());
            }
        try
            {
            LocateRegistry.createRegistry(1099);

            String name = "//localhost:1099/ComputeEngine";
            Compute engine = new ComputeEngine();            
            Naming.rebind(name, engine);

            System.out.println("ComputeEngine bound");
            }
        catch (Exception e)
            {
            System.err.println("ComputeEngine exception:");
            e.printStackTrace();
            }
    }


}
