/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sjavatrack;

import java.io.Serializable;

/**
 *
 * @author luzem
 */
public class CommandOutput implements Serializable{

    /**
     * indicates if the command output must be sabed in a file
     */
    private boolean toFile;
    /**
     * filename to save the command outut
     */
    private String filename;
    /**
     * command output
     */
    private String response;
    static final long serialVersionUID = 1;


    /**
     * Generates a new CommandOutput
     * @param toFile
     * @param filename
     * @param response
     */
    public CommandOutput(boolean toFile,String filename, String response)
        {
        this.toFile=toFile;
        this.filename=filename;
        this.response=response;
        }


    /**
     * Returns a XML that contains the object values
     * @return a String that contains the XML
     */
    public String toXML()
        {
        String toret="";
        toret+="<XML>";
            toret+="<COMMAND>";
                toret+="<TOFILE>";
                toret+=isToFile();
                toret+="</TOFILE>";
                toret+="<FILENAME>";
                toret+=getFilename();
                toret+="</FILENAME>";
                toret+="<RESPONSE>";
                toret+=getResponse();
                toret+="</RESPONSE>";
            toret+="</COMMAND>";
        toret+="</XML>";
        return toret;
        }

    /**
     * @return the toFile
     */
    public boolean isToFile() {
        return toFile;
    }

    /**
     * @return the filename
     */
    public String getFilename() {
        return filename;
    }

    /**
     * @return the response
     */
    public String getResponse() {
        return response;
    }

    /**
     * @param toFile the toFile to set
     */
    public void setToFile(boolean toFile) {
        this.toFile = toFile;
    }

    /**
     * @param filename the filename to set
     */
    public void setFilename(String filename) {
        this.filename = filename;
    }

    /**
     * @param response the response to set
     */
    public void setResponse(String response) {
        this.response = response;
    }
}
