/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sjavatrack.commands;

import sbd.baseCommand;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.util.Date;
import java.util.StringTokenizer;
import java.util.Calendar;
/**
 *
 * @author luzem
 */
public class list_bugs extends baseCommand {

    /**
     * Developer to filter
     */
    private String developer=null;
    /**
     * first date to filter
     */
    private Calendar firstDate=null;
    /**
     * last date to filter
     */
    private Calendar lastDate=null;
    static final long serialVersionUID = 2L;
    /**
     * Creates a new list_bugs command
     */
    public list_bugs()
        {
        super();
        help="show bugs ";
        isAdminCommand=true;
        isUserCommand=true;
        }

        /**
     * Validates the parameters
     * @return true if valid parameters
     */
    private boolean processParameters()
        {
        boolean toret=true;
        System.out.println("Numero de parametros == "+parameterList.size());
        if (parameterList.size()>2)
            {
            toret= false;
            }
        else if(parameterList.size()==1)
            {
            System.out.println("Inicialiting developer var");
            developer=parameterList.firstElement();
            }
        else if (parameterList.size()==2)
            {
            //check dates
            if (!(stringToDate(true,parameterList.firstElement()) && stringToDate(false,parameterList.elementAt(1))))
                {
                toret=false;
                }
            }
        return toret;
        }

        /**
         * Converts a String to a date
         * @param first indicates if it's the first conversion
         * @param dataText te String to convers
         * @return true if the String was converted
         */
        private boolean stringToDate(boolean first,String dataText)
            {
            boolean toret=false;
            Calendar tempCal=Calendar.getInstance();
            StringTokenizer st=new StringTokenizer(dataText,"/");
            if (st.countTokens()==3)
                {
                int year;
                int month;
                int day;
                Integer intToCast;
                intToCast=new Integer(st.nextToken());
                day=intToCast.intValue();
                intToCast=new Integer(st.nextToken());
                month=intToCast.intValue();
                intToCast=new Integer(st.nextToken());
                year=intToCast.intValue();
                tempCal.set(Calendar.YEAR, year);
                tempCal.set(Calendar.MONTH, month-1);
                tempCal.set(Calendar.DATE, day);
                if (first)
                    {
                    firstDate=tempCal;
                    }
                else
                    {
                    lastDate=tempCal;
                    }
                toret=true;
                System.out.println(tempCal.toString());
                }
            return toret;
            }

            /**
     * Executes the command
     * @return the response of execution
     */

        @Override
        public String  execute()
            {
            boolean error=false;
            String toret="";
            if (processParameters())
                {
                String SQL="Select * from bugs ";
                if (developer!=null)
                    {
                    if (!existUser(developer))
                        {
                        System.out.println("Incorrect UserName to list");
                        toret="Incorrect UserName to list";
                        error=true;
                        }
                    else
                        {
                        SQL+="where programador='"+developer+"'";
                        }
                    }
                else if(firstDate!=null && lastDate!=null)
                    {
                    String year="";
                    //SELECT * FROM proa.bugs WHERE fecha > '2010-01-30' AND fecha <'2010-02-02'
                    SQL+="WHERE fecha>='";
                    year+=firstDate.get(Calendar.YEAR);
                    year=year.substring(2);
                    SQL+=year;
                    SQL+="/";
                    SQL+=firstDate.get(Calendar.MONTH);
                    SQL+="/";
                    SQL+=firstDate.get(Calendar.DAY_OF_MONTH);
                    SQL+=" 00:00:00'";
                    SQL+=" AND fecha<='";
                    year="";
                    year+=lastDate.get(Calendar.YEAR);
                    year=year.substring(2);
                    SQL+=year;
                    SQL+="/";
                    SQL+=lastDate.get(Calendar.MONTH);
                    SQL+="/";
                    SQL+=lastDate.get(Calendar.DAY_OF_MONTH);
                    SQL+="";
                    SQL+=" 23:59:59'";
                    }
                SQL+=" order by fecha asc";
                System.out.println(SQL);
                if (!error)
                    {
                    try{
                    Connection conn= getConnection();
                    Statement st= conn.createStatement();
                    st.execute(SQL);
                    ResultSet rs=st.getResultSet();
                    if (rs==null)
                        {
                        toret="Error in SQL Query";
                        }
                    else
                        {
                        rs.first();
                        ResultSetMetaData rsmd=rs.getMetaData();
                        toret+=getResultSetMetaDataHeader(rsmd);
                        toret+=getResultSetLines(rs);
                        }
                    }catch(SQLException sqle)
                        {
                        System.out.println("SQLException: " + sqle.getMessage());
                        System.out.println("SQLState: " + sqle.getSQLState());
                        System.out.println("VendorError: " + sqle.getErrorCode());
                        }
                    }
                }
            else
                {
                toret="Too much parameters";
                }
            return toret;
            }





}
