/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sjavatrack.commands;

import sbd.baseCommand;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.SQLException;

/**
 *
 * @author luzem
 */

/*
 * resolve_bug <codigo_bug> <mensaje>
    Cambia el estado de la incidencia <codigo_bug> a “RESUELTO” añadiendo un <mensaje>
    explicativo de dicha resolución. Si la incidencia no estaba asignada al usuario que solicita esta
    operación, se le denegará.
*/
public class resolve_bug extends baseCommand{

    /**
     * bugCode
     */
    int bugCode;
    /**
     * message 
     */
    String message;
    static final long serialVersionUID = 2L;

    /**
     * Creates a new resolve_bug command
     */
    public resolve_bug()
        {
        super();
        help="resolve_bug <codigo_bug> <mensaje>";
        isUserCommand=true;
        }

        /**
     * Executes the command
     * @return the response of execution
     */
     @Override
     public String  execute()
            {
            String toret=null;
            if (processParameters())
                {
                if (!isBugSolved(bugCode))
                    {
                    if(getBugProgrammer(bugCode).equals(userName))
                        {
                        try{
                            Connection conn;
                            Statement st;
                            String SQL;
                            conn=getConnection();
                            st=conn.createStatement();
                            SQL="Update bugs set estado='RESUELTO', descripcion_resolucion='"+message+"'";
                            SQL+=" where codigo="+bugCode;
                            st.executeUpdate(SQL);
                            toret="Bug Updated";
                            st.close();
                            conn.close();
                            }catch(SQLException sqle)
                                {
                                System.out.println("SQLException: " + sqle.getMessage());
                                System.out.println("SQLState: " + sqle.getSQLState());
                                System.out.println("VendorError: " + sqle.getErrorCode());
                                }
                        }
                else
                    {
                    if (getBugProgrammer(bugCode).equals(""))
                        {
                        toret="Invalid bug code";
                        }
                    else
                        {
                        toret="Not Privilegies for edit this bug";
                        }
                    }
                  }
                else
                    {
                    toret="Solving a solved Bug ?????????";
                    }
                }
            else
                {
                toret="Not enougth parameters";
                }
            return toret;
            }

         /**
     * Validates the parameters
     * @return true if valid parameters
     */
     private boolean processParameters()
        {
        boolean toret=true;
        if (parameterList.size()<2)
            {
            return false;
            }
        else
            {
            System.out.println("parameterList ="+parameterList.firstElement());
            Integer forCasting;
            forCasting=new Integer(parameterList.firstElement());
            bugCode=forCasting.intValue();
            message="";
            for (int x=1;x<parameterList.size();x++)
                {
                message+=parameterList.elementAt(x);
                if (x!=parameterList.size())
                    {
                    message+=" ";
                    }
                }
            }
        System.out.println("message:"+message);
        System.out.println("bugCode:"+bugCode);
        return toret;
        }



}
